=== debian/changelog ===
kirigami-addons (0.3-2build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Sep 2022 10:51:34 +0300

kirigami-addons (0.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jun 2022 04:36:34 +0200

kirigami-addons (0.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the KF packages to 5.91.0
  * CI: sync the configuration with other KDE sources.
  * Add new packages for the new bits available in the new version:
    - add qml-module-org-kde-kirigami-addons-labs-mobileform, and
      qml-module-org-kde-kirigami-addons-sounds for the new QML modules
    - add kirigami-addons-data with the shared data (translations so far)
      of the QML modules
      - make all the qml-module-* packages depend on it
    - add kirigami-addons-dev with development files
  * The new sounds module needs the QML module of QtMultimedia, so make
    qml-module-org-kde-kirigami-addons-sounds depend on qml-module-qtmultimedia.
  * Update copyright.
  * Disable the execution of the test suite at build time, as it seems it does
    not have all the test data needed from the 'freedesktop' sound theme.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2022 12:54:47 +0200

kirigami-addons (0.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Drop the custom CFLAGS, as there are no C sources.

 -- Pino Toscano <pino@debian.org>  Tue, 31 May 2022 07:36:49 +0200

kirigami-addons (0.2-1) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * Initial release (Closes: #988485)

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 May 2022 14:35:44 +0200
