=== debian/control ===
Source: kirigami-addons
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake (>= 3.16.0),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               kirigami2-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               qtbase5-dev (>= 5.15),
               qtdeclarative5-dev (>= 5.15),
               qtquickcontrols2-5-dev (>= 5.15),
Standards-Version: 4.6.1
Section: libs
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
Rules-Requires-Root: no

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: qml-module-org-kde-kirigami-addons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml-module-org-kde-kirigami-addons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.

Package: qml-module-org-kde-kirigami-addons-labs-mobileform
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: labs/mobileform module for QML
 This package contains the labs/mobileform QML module.
 A runtime QML module providing mobile forms utilities.

Package: qml-module-org-kde-kirigami-addons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-labs-mobileform (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
         qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
         ${misc:Depends},
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.
