=== debian/changelog ===
kirigami-addons (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Feb 2023 20:07:23 +0100

kirigami-addons (0.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove spurious "new version" entry in the changelog stanza for 0.6.2-1.
  * Add a new qml-module-org-kde-kirigami-addons-labs-components package for
    the new QML module.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jan 2023 00:14:26 +0100

kirigami-addons (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Jan 2023 12:21:58 +0100

kirigami-addons (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 03 Dec 2022 09:44:02 +0100

kirigami-addons (0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 01 Dec 2022 07:23:19 +0100

kirigami-addons (0.5-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (0.5).
  * Update build-deps and deps with the info from cmake.
  * Moved from unstable -> stable.
  * Update signing-key to match with current release.

 -- Sandro Knauß <hefee@debian.org>  Sun, 23 Oct 2022 16:03:48 +0200
