=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                extra-cmake-modules (>= 5.91.0~),
                kirigami2-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               qtbase5-dev (>= 5.15),
-               qtdeclarative5-dev (>= 5.15),
-               qtquickcontrols2-5-dev (>= 5.15),
-Standards-Version: 4.6.1
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
+               qtquickcontrols2-5-dev (>= 5.15.2~)
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
@@ -21,7 +21,7 @@
 Package: kirigami-addons-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: data files for kirigami-addons
  This package contains the data files shared by all the QML modules of
  kirigami-addons.
@@ -83,14 +83,30 @@
  This package contains the sounds QML module.
  A runtime QML module providing sound utilities.
 
+Package: qml-module-org-kde-kirigami-addons-labs-components
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtmultimedia,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: labs/components module for QML
+ This package contains the labs/components QML module.
+ A runtime QML module providing components utilities.
+
 Package: kirigami-addons-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-labs-components (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-labs-mobileform (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: development files for kirigami-addons
  This package contains the development files of kirigami-addons.
