## kirigami-addons 0.8.0

=== debian/changelog ===
kirigami-addons (0.8.0-0xneon+22.04+jammy+release+build14) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 14 Apr 2023 07:09:00 +0000

kirigami-addons (0.8.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Apr 2023 07:08:07 +0000

kirigami-addons (0.7.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Mar 2023 07:08:06 +0000

kirigami-addons (0.7.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Mar 2023 07:08:09 +0000

kirigami-addons (0.7.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 30 Jan 2023 07:08:06 +0000

kirigami-addons (0.6.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 07 Jan 2023 07:08:06 +0000

kirigami-addons (0.6.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 03 Dec 2022 07:08:06 +0000

kirigami-addons (0.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Dec 2022 07:08:06 +0000
