=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: kirigami-addons
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Build-Depends: cmake (>= 3.16.0),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                kirigami2-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~)
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
 Rules-Requires-Root: no
+Vcs-Git: https://invent.kde.org/neon/extras/kirigami-addons.git
+Vcs-Browser: https://invent.kde.org/neon/extras/kirigami-addons
+Maintainer: Neon CI <neon@kde.org>
 
 Package: kirigami-addons-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: data files for kirigami-addons
  This package contains the data files shared by all the QML modules of
  kirigami-addons.
@@ -36,6 +37,8 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: datetime module for QML
  This package contains the datetime QML module.
  A runtime QML module providing date and time utilities.
@@ -50,6 +53,8 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: treeview module for QML
  This package contains the treeview QML module.
  A runtime QML module providing treeview utilities.
@@ -64,8 +69,24 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: labs/mobileform module for QML
  This package contains the labs/mobileform QML module.
+ A runtime QML module providing mobile forms utilities.
+
+Package: qml-module-org-kde-kirigami-addons-labs-components
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: labs/components module for QML
+ This package contains the labs/components QML module.
  A runtime QML module providing mobile forms utilities.
 
 Package: qml-module-org-kde-kirigami-addons-sounds
@@ -79,24 +100,11 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: sounds module for QML
  This package contains the sounds QML module.
  A runtime QML module providing sound utilities.
-
-Package: qml-module-org-kde-kirigami-addons-labs-components
-Architecture: any
-Multi-Arch: same
-Depends: kirigami-addons-data (>= ${source:Version}),
-         qml-module-org-kde-kirigami2,
-         qml-module-qtmultimedia,
-         qml-module-qtquick-controls,
-         qml-module-qtquick-controls2,
-         qml-module-qtquick-layouts,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: labs/components module for QML
- This package contains the labs/components QML module.
- A runtime QML module providing components utilities.
 
 Package: kirigami-addons-dev
 Architecture: any
@@ -108,5 +116,19 @@
          qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
          ${misc:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
 Description: development files for kirigami-addons
  This package contains the development files of kirigami-addons.
+
+Package: qml-module-org-kde-kirigamiaddons
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Priority: extra
+Depends: qml-module-org-kde-kirigami-addons-datetime,
+         qml-module-org-kde-kirigami-addons-sounds,
+         qml-module-org-kde-kirigami-addons-treeview,
+         ${misc:Depends}
+Description: transitional dummy
+ This empty package can be removed
