## kirigami-addons 0.9.0

=== debian/changelog ===
kirigami-addons (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Jul 2023 02:08:29 +0200

kirigami-addons (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:13:21 +0200

kirigami-addons (0.8.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Apr 2023 09:20:55 +0200

kirigami-addons (0.7.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Mar 2023 06:32:44 +0100
