## kirigami-addons 0.11.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,6 @@
 add_subdirectory(dateandtime)
 add_subdirectory(treeview)
 add_subdirectory(sounds)
-add_subdirectory(mobileform)
+add_subdirectory(formcard)
+add_subdirectory(delegates)
+add_subdirectory(settings)
