=== src/sounds/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 target_link_libraries(soundsplugin
     Qt${QT_MAJOR_VERSION}::Quick
     Qt${QT_MAJOR_VERSION}::Qml
-    KF5::I18n
+    KF${KF_MAJOR_VERSION}::I18n
 )
 
 ecm_finalize_qml_module(soundsplugin DESTINATION ${KDE_INSTALL_QMLDIR})
