=== debian/changelog ===
kirigami-addons (0.11.0-0zneon+24.04+noble+release+build2) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:09:59 +0000

kirigami-addons (0.11.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2023 07:08:07 +0000

kirigami-addons (0.10.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Aug 2023 07:08:06 +0000

kirigami-addons (0.9.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 01 Jul 2023 07:08:08 +0000
