=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kirigami-addons
 Priority: optional
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
-Build-Depends: cmake (>= 3.16.0),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.91.0~),
+               extra-cmake-modules,
                kirigami2-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
 Rules-Requires-Root: no
@@ -43,6 +44,38 @@
  This package contains the datetime QML module.
  A runtime QML module providing date and time utilities.
 
+Package: qml-module-org-kde-kirigami-addons-formcard
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Description: formcard module for QML
+ This package contains the formcard QML module.
+ A runtime QML module providing formcard utilities.
+
+Package: qml-module-org-kde-kirigami-addons-settings
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Replaces: qml-module-org-kde-kirigamiaddons (<< 0.5)
+Description: settings module for QML
+ This package contains the settings QML module.
+ A runtime QML module providing settings utilities.
+
 Package: qml-module-org-kde-kirigami-addons-treeview
 Architecture: any
 Multi-Arch: same
@@ -89,6 +122,20 @@
  This package contains the labs/components QML module.
  A runtime QML module providing mobile forms utilities.
 
+Package: qml-module-org-kde-kirigami-addons-components
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: components module for QML
+ This package contains the components QML module.
+ A runtime QML module providing mobile forms utilities.
+
 Package: qml-module-org-kde-kirigami-addons-sounds
 Architecture: any
 Multi-Arch: same
@@ -106,13 +153,31 @@
  This package contains the sounds QML module.
  A runtime QML module providing sound utilities.
 
+Package: qml-module-org-kde-kirigami-addons-delegates
+Architecture: any
+Multi-Arch: same
+Depends: kirigami-addons-data (>= ${source:Version}),
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: sounds module for QML
+ This package contains the delegates QML module.
+ A runtime QML module providing delegates utilities.
+
 Package: kirigami-addons-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
+Depends: qml-module-org-kde-kirigami-addons-components (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-datetime (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-delegates (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-formcard (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-labs-components (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-labs-mobileform (= ${binary:Version}),
+         qml-module-org-kde-kirigami-addons-settings (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-sounds (= ${binary:Version}),
          qml-module-org-kde-kirigami-addons-treeview (= ${binary:Version}),
          ${misc:Depends}
@@ -126,7 +191,13 @@
 Multi-Arch: same
 Section: oldlibs
 Priority: extra
-Depends: qml-module-org-kde-kirigami-addons-datetime,
+Depends: qml-module-org-kde-kirigami-addons-components,
+         qml-module-org-kde-kirigami-addons-datetime,
+         qml-module-org-kde-kirigami-addons-delegates,
+         qml-module-org-kde-kirigami-addons-formcard,
+         qml-module-org-kde-kirigami-addons-labs-components,
+         qml-module-org-kde-kirigami-addons-labs-mobileform,
+         qml-module-org-kde-kirigami-addons-settings,
          qml-module-org-kde-kirigami-addons-sounds,
          qml-module-org-kde-kirigami-addons-treeview,
          ${misc:Depends}
